MessengerMessage
Returns a list of all MessengerMessages
GET/api/notification/messenger_message
Query parameters
idstring | , SCOPE_LIST |
directionstring | outbound | inbound | , SCOPE_LIST |
channelstring | sms | whatsapp | , SCOPE_LIST |
providerstring | INFOBIP | SINCH | CM | , SCOPE_LIST |
phoneNumberstring | E.164 digits without + of the person (recipient or sender) | , SCOPE_LIST |
statusstring | sent | failed | received | , SCOPE_LIST |
providerMessageIdstring | , SCOPE_LIST |
userNotificationstring | , SCOPE_LIST |
chatroomstring | , SCOPE_LIST |
chatroomMessagestring | , SCOPE_LIST |
createdstring | , SCOPE_LIST |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all MessengerMessagesarray<MessengerMessage>
Show fields (10)
idintegerPrimary key of the messenger message. Internal ID.
directionstringoutbound | inbound
channelstringsms | whatsapp
providerstringINFOBIP | SINCH | CM
phone_numberstringE.164 digits without + of the person (recipient or sender)
template_namestringWhatsApp template used outside the service window
statusstringsent | failed | received
error_messagestringError message if sending failed.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/notification/messenger_message \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/notification/messenger_message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/notification/messenger_message"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/notification/messenger_message', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/notification/messenger_message"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/notification/messenger_message")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/notification/messenger_message"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/messenger_message_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MessengerMessageController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"template_name": "Beispiel",
"direction": "string",
"channel": "string",
"provider": "string",
"phone_number": "string",
"status": "string",
"error_message": "string",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
]Returns a single MessengerMessage entry.
GET/api/notification/messenger_message/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Return single MessengerMessageMessengerMessage2
Show fields (14)
idintegerPrimary key of the messenger message. Internal ID.
directionstringoutbound | inbound
channelstringsms | whatsapp
providerstringINFOBIP | SINCH | CM
phone_numberstringE.164 digits without + of the person (recipient or sender)
template_namestringWhatsApp template used outside the service window
statusstringsent | failed | received
provider_message_idstringID of the message at the messenger provider.
error_messagestringError message if sending failed.
user_notificationUserNotificationUser notification the message belongs to.
Show fields (25)
idintegerPrimary key of the notification. Internal ID.
readbooleanWhether the notification has been read.
category_identifierstringIdentifier of the notification category.
object_identifierstringIdentifier of the object the notification refers to.
notification_typestringType of the notification.
text_identifierstringIdentifier of the notification text template.
long_text_identifierstringIdentifier of the long text template.
html_textstringHTML text of the notification.
attachmentsarray<Attachment10>Attachments of the notification.
only_adminbooleanWhether the notification is only shown to administrators.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
chatroomChatroom10Chat room the message belongs to.
Show fields (6)
idintegerPrimary key of the chat room. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
namestringName of the entity.
image_urlstringURL of the image of the entity.
chatroom_messageChatroomMessage4Chat room message the messenger message belongs to.
Show fields (4)
idintegerPrimary key of the chat message. Internal ID.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/notification/messenger_message/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/notification/messenger_message/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/notification/messenger_message/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/notification/messenger_message/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/notification/messenger_message/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/notification/messenger_message/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/notification/messenger_message/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/messenger_message_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await MessengerMessageController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"template_name": "Beispiel",
"direction": "string",
"channel": "string",
"provider": "string",
"phone_number": "string",
"status": "string",
"provider_message_id": "42",
"error_message": "string",
"user_notification": {
"id": 42,
"html_text": "Text",
"address_street": "Jakobistr. 39",
"address_city": "Hannover",
"address_zip": "30163",
"address_country": "DE",
"address_full_country": "DE",
"read": true,
"category_identifier": "42",
"object_identifier": "42"
}
}